These packages not working for you?
http://download.bareos.org/bareos/release/19.2/Debian_10/

C.

On 3/25/20 2:39 AM, uwe.jans...@gmail.com wrote:
Hi,

this works for me on the 18.2 Version. But it is not working on the 19.2
Version anymore.

Has anybody compile a debian buster version from 19.2. Github Version?
And give me a hint?

best regards Uwe

Am 05.12.19 um 20:17 schrieb Vitaly Solntsev:
Hi,

afaik, no bareos 18.2/19.2 binaries in official repo (probably, it's
available only by paid subscription), so feel free to compile it by
yourself.

I compiled this way:

Install prerequisites

apt-get install pkg-config
apt-get install autoconf
apt-get install libtool
apt-get install build-essential
apt-get install g++
apt-get install cmake
apt-get install devscripts

Clone Bareos repository
git clone https://github.com/bareos/bareos.git

To build 18.2 binaries, clone 18.2 branch only
git clone --single-branch --branch bareos-18.2
https://github.com/bareos/bareos.git

Make binaries

cd bareos/core
dpkg-checkbuilddeps
cp -a platforms/packaging/bareos.changes debian/changelog
VERSION=$(sed -n -r 's/#define VERSION "(.*)"/\1/p' src/include/version.h)
dch -v $VERSION "Switch version number"
fakeroot debian/rules binary

The result looks like
cd ../..
ls -l *.deb
-rw-r--r-- 1 root root    19288 Oct  4 04:50 bareos_18.2.6_amd64.deb
-rw-r--r-- 1 root root    41032 Oct  4 04:50
bareos-bconsole_18.2.6_amd64.deb
-rw-r--r-- 1 root root    19108 Oct  4 04:50
bareos-client_18.2.6_amd64.deb
-rw-r--r-- 1 root root   689448 Oct  4 04:50
bareos-common_18.2.6_amd64.deb
-rw-r--r-- 1 root root    86048 Oct  4 04:50
bareos-database-common_18.2.6_amd64.deb
-rw-r--r-- 1 root root    39576 Oct  4 04:50
bareos-database-mysql_18.2.6_amd64.deb
-rw-r--r-- 1 root root    44064 Oct  4 04:50
bareos-database-postgresql_18.2.6_amd64.deb
-rw-r--r-- 1 root root    37588 Oct  4 04:50
bareos-database-sqlite3_18.2.6_amd64.deb
-rw-r--r-- 1 root root    92628 Oct  4 04:50
bareos-database-tools_18.2.6_amd64.deb
-rw-r--r-- 1 root root 13043868 Oct  4 04:50 bareos-dbg_18.2.6_amd64.deb
-rw-r--r-- 1 root root    85508 Oct  4 04:50 bareos-devel_18.2.6_amd64.deb
-rw-r--r-- 1 root root   358116 Oct  4 04:50
bareos-director_18.2.6_amd64.deb
-rw-r--r-- 1 root root    29168 Oct  4 04:50
bareos-director-python-plugin_18.2.6_amd64.deb
-rw-r--r-- 1 root root   120204 Oct  4 04:50
bareos-filedaemon_18.2.6_amd64.deb
-rw-r--r-- 1 root root    23768 Oct  4 04:50
bareos-filedaemon-ldap-python-plugin_18.2.6_amd64.deb
-rw-r--r-- 1 root root    43380 Oct  4 04:50
bareos-filedaemon-python-plugin_18.2.6_amd64.deb
-rw-r--r-- 1 root root    31644 Oct  4 04:50
bareos-regress-config_18.2.6_amd64.deb
-rw-r--r-- 1 root root    98828 Oct  4 04:50
bareos-storage_18.2.6_amd64.deb
-rw-r--r-- 1 root root    26376 Oct  4 04:50
bareos-storage-fifo_18.2.6_amd64.deb
-rw-r--r-- 1 root root    28912 Oct  4 04:50
bareos-storage-python-plugin_18.2.6_amd64.deb
-rw-r--r-- 1 root root    79312 Oct  4 04:50
bareos-storage-tape_18.2.6_amd64.deb
-rw-r--r-- 1 root root    49744 Oct  4 04:50 bareos-tools_18.2.6_amd64.deb
-rw-r--r-- 1 root root    77884 Oct  4 04:50
bareos-traymonitor_18.2.6_amd64.deb

best regards, Vitaly


On Thu, Dec 5, 2019 at 7:09 PM moose <guw...@web.de
<mailto:guw...@web.de>> wrote:

Hi fokes,

this ist my first post in this group.

I setup bareos 18.2.6 dir, fd, sd, webui on Alpine. Works fine.
Now I have to backup a machine running Debian 10 Buster.

As far as I see there are fd packages v18.2.5 available for jessie
(8) and stretch (9), but not for buster.
Any idea why not or where to get it?

If Buster *.deb Packages v18.2.5 are not available as open source
now / so far I'd like to compile the 18.2.6 fd for Buster from
scratch (Sources). Is there any documentation how to do it?

Do you have any other suggestions to get Debian Buster clients
backuped using v18.2.5 dir, sd, webui (on other server) without
loosing the new features which came up with Bareos v18?

Thanks in adavance,

moose
-- You received this message because you are subscribed to the Google
Groups "bareos-users" group.
To unsubscribe from this group and stop receiving emails from it,
send an email to bareos-users+unsubscr...@googlegroups.com
<mailto:bareos-users+unsubscr...@googlegroups.com>.
To view this discussion on the web visit
https://groups.google.com/d/msgid/bareos-users/9c7c5618-340c-4d38-8cfc-f1d20271aaa0%40googlegroups.com
<https://groups.google.com/d/msgid/bareos-users/9c7c5618-340c-4d38-8cfc-f1d20271aaa0%40googlegroups.com?utm_medium=email&utm_source=footer>.

-- You received this message because you are subscribed to the Google
Groups "bareos-users" group.
To unsubscribe from this group and stop receiving emails from it, send
an email to bareos-users+unsubscr...@googlegroups.com
<mailto:bareos-users+unsubscr...@googlegroups.com>.
To view this discussion on the web visit
https://groups.google.com/d/msgid/bareos-users/CANfMhss2uEQq6PcWDqbeVKLqWN%3DQnQCc3TK3MnJxmZxvzbLxRQ%40mail.gmail.com
<https://groups.google.com/d/msgid/bareos-users/CANfMhss2uEQq6PcWDqbeVKLqWN%3DQnQCc3TK3MnJxmZxvzbLxRQ%40mail.gmail.com?utm_medium=email&utm_source=footer>.





--
You received this message because you are subscribed to the Google Groups 
"bareos-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to bareos-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/bareos-users/fd901333-10e4-f6c6-bb08-4de9057349a0%40physics.wisc.edu.

Reply via email to